> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report History by ID



## OpenAPI

````yaml /openapi/product/scheduled-reports-api.yaml get /api/content/v1/reportschedules/history/{id}
openapi: 3.1.0
info:
  title: Scheduled Reports API
  version: 1.0.0
  description: Scheduled Reports API
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain.
security:
  - DomoDeveloperToken: []
paths:
  /api/content/v1/reportschedules/history/{id}:
    get:
      tags:
        - Scheduled Reports API
      summary: Get Report History by ID
      operationId: getReportHistoryById
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: integer
          description: History entry ID
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
              examples:
                example:
                  value:
                    id: 123456
                    reportTitle: Specific History Report
                    startTime: '2024-11-14T10:00:00Z'
                    endTime: '2024-11-14T10:05:00Z'
                    status: success
        '403':
          description: Forbidden
        '409':
          description: Conflict
components:
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````